﻿using Microsoft.Toolkit.Uwp.Notifications;
using System;
using System.IO;
using System.Windows.Forms;
using Windows.Data.Xml.Dom;
using Windows.UI.Notifications;

namespace PrintScreenNotificationCore
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            //過去のトーストを削除
            DesktopNotificationManagerCompat.History.Clear(); 
            //トースト生成
            ToastContent toastContent = new ToastContent()
            {
                Launch = "action=savefile",

                Visual = new ToastVisual()
                {
                    BindingGeneric = new ToastBindingGeneric()
                    {
                        Children =
                        {
                            new AdaptiveText()
                            {
                                Text = Properties.Resources.Toast_Notification
                            },
                            new AdaptiveImage()
                            {
                                Source = Path.GetTempPath() + "PrintScreenNotification_Images.png"
                            }
                        }
                    }
                },
                Audio = new ToastAudio()
                {
                    Silent = true
                },
                Actions = new ToastActionsCustom()
                {
                    Buttons =
                    {
                        new ToastButton(Properties.Resources.Toast_newfile, "action=newfile"),
                        new ToastButton(Properties.Resources.Toast_savefile, "action=savefile"),
                        new ToastButton(Properties.Resources.Toast_openfolder, "action=openfolder"),
                    }
                }
            };
            var doc = new XmlDocument();
            doc.LoadXml(toastContent.GetContent());
            var toast = new ToastNotification(doc);
            DesktopNotificationManagerCompat.CreateToastNotifier().Show(toast);
            Application.Exit();
        }
    }
}
